Problèmes et questions concernant le noyau et le support matériel.
Répondre

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#1Messageil y a 3 mois

Bonjour;
Lors de la denière mise à jour - ce matin -, j'ai trouvé ceci:

************************************************************
Using configuration file: '/etc/mkinitcpio.conf'
-> -k /boot/vmlinuz-5.19-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-5.19-x86_64.img
==> ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory
==> Building image from preset: /etc/mkinitcpio.d/linux519.preset: 'fallback'
==> Using configuration file: '/etc/mkinitcpio.conf'
-> -k /boot/vmlinuz-5.19-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-5.19-x86_64-fallback.img -S autodetect
==> ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory
********************************************************************
Est-ce "grave", docteur?
Et si "oui", quel remède faut-il appliquer?
(Je n'a pas trouvé à quoi correspond "5.19.17-2-MANJARO"...)
Une bonne continuation

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#2Messageil y a 3 mois

Bonjour.
Le noyau 5.19 est EOL donc en fin de vie. Il faut installer un noyau maintenu.
La commande mhwd-kernel -l te donnera la liste des noyaux valides.
Pour installer le 6.1 par exemple :

sudo mhwd-kernel -i linux61 rmc

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#3Messageil y a 3 mois

Merci du retour...
J'ai bien pensé à cela, mais, hors le fait de ne pas avoir dans la liste de noyau 5.19, pour l'heure je suis avec le 6.6.10-1.

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#4Messageil y a 3 mois

bonjour ,

peux tu nous fournir le retour

sudo mhwd-kernel -li 
sudo mhwd -li 
sudo ls /etc/mkinitcpio.d/*.preset
sudo ls /boot/
sudo ls /lib/modules/
Dernière modification par stephaneil y a 3 mois, modifié au total 1 fois.

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#5Messageil y a 3 mois

Bonsoir;
J'ai tardé parce que mauvaises manips, pas moyen de mettre une image (celles de la liste de mes noyaux) avec ce message...
Le retour est corrigé, une erreur m'a fait mettre -li au lieu de -Li dans les deux premières commandes, d'où le "vrac" dans l'ordre des questions...
******************************************
   ~ 

sudo mhwd-kernel -Li                                                         ✔ 
[sudo] Mot de passe de linux : 
Error: Invalid argument (use -h for help).
   ~ 

 sudo ls /etc/mkinitcpio.d/*.preset                                         1 ✘ 
/etc/mkinitcpio.d/linux519.preset  /etc/mkinitcpio.d/linux66.preset
   ~ 

sudo ls /boot/                                                               ✔ 
amd-ucode.img                       initramfs-6.6-x86_64-fallback.img  vmlinuz-5.19-x86_64
grub                                initramfs-6.6-x86_64.img           vmlinuz-6.6-x86_64
initramfs-5.19-x86_64-fallback.img  linux66-x86_64.kver
initramfs-5.19-x86_64.img           memtest86+
   ~ 

sudo ls /lib/modules/                                                        ✔ 
6.6.10-1-MANJARO  extramodules-6.6-MANJARO
   ~ 

 sudo mhwd -li                                                                ✔ 
> Installed PCI configs:
--------------------------------------------------------------------------------
                  NAME               VERSION          FREEDRIVER           TYPE
--------------------------------------------------------------------------------
           video-linux            2018.05.04                true            PCI


Warning: No installed USB configs!
   ~ 

sudo mhwd-kernel -li                                                         ✔ 
Currently running: 6.6.10-1-MANJARO (linux66)
The following kernels are installed in your system:
   * linux66
**************************************************************************************
En fait, je vois un noyau 5.19 qui n'est pas dans ma liste des noyaux (que je voulais joindre en photo!) - je présume qu'une commande doit permettre de la sortir au prompt, mais... :sourire:
Par contre, je vois un "Warning: No installed USB configs!" qu'il m'intéresserait de voir développé (et qui répondrait peut-être à mon post précédent relatif à un "warning"...).
Merci encore du suivi...
Cordialement
Fait.
administration/modération

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#6Messageil y a 3 mois

Alors, je dirais dans l'ordre:
  • C'est bien mhwd-kernel -l et non -L.
  • Tu as bien le kernel 5.19 d'installé . Comme il n'est plus maintenu, sa présence dans le système fait chercher dans les dépôts officiels, des modules qui n'existent plus, d'où l'erreur ==> ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory.
  • Le message Warning: No installed USB configs! est courant; il atteste que le système ne reconnaît pas de carte graphique usb.
Ton problème vient du fait que le noyau 5.19 n'a pas été désinstallé et il reste des paramètres de configuration dans /etc/mkinitcpio.d/*.preset qui sert à la construction des images de boot.
Essaye de désinstaller proprement ce noyau obsolète :

sudo mhwd-kernel -r linux519
.
Je t'invite ensuite à en installer un autre LTS (long Term Support) comme le linux61 en secours au cas où...

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#7Messageil y a 3 mois

je t'invite ajouter

sudo mhwd-kernel -i linux515
sudo mhwd-kernel -i linux61

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#8Messageil y a 3 mois

Bonjour;
Comme je le préssentais hier soir, première manip de ce matin:
********************************************

mhwd-kernel -l                                       ✔ 
available kernels:
   * linux419
   * linux510
   * linux515
   * linux54
   * linux61
   * linux65
   * linux66
   * linux67
   * linux61-rt
   * linux65-rt
   * linux66-rt
**********************************************
Pas de 5.19
Confirmation:

 sudo mhwd-kernel -r linux519                         ✔ 
[sudo] Mot de passe de linux : 
Error: Kernel not installed.
Currently running: 6.6.10-1-MANJARO (linux66)
The following kernels are installed in your system:
   * linux66
Question: pourquoi me faire installer linux 515 et 61 ?
Merci de tes retours!
Cordialement

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#9Messageil y a 3 mois

Bon, on va faire le ménage à la main :
  • On vire les traces du 5.19
  • On reconstruit les images de boot pour le noyau restant
  • On recrée le fichier de configuration grub.

sudo rm /etc/mkinitcpio.d/linux519.preset 
ls /etc/mkinitcpio.d/  ###tu ne devrais avoir que linux66.preset###
sudo mkinitcpio -P
sudo grub-mkconfig -o /boot/grub/grub.cfg
Nous recommandons d'avoir au moins un noyau LTS de secours pour pouvoir se dépanner en cas de souci avec les modules récents qui peuvent parfois devenir incompatibles avec certains matériels anciens.

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#10Messageil y a 3 mois

Re-bonjour à toi;
Merci de suivre!!
Voilà ce que j'obtiens à la réponse de la deuxième ligne:

   ~  sudo rm /etc/mkinitcpio.d/linux519.preset            ✔ 
[sudo] Mot de passe de linux : 
    ~  ls /etc/mkinitcpio.d/                                ✔ 
linux510.preset.pacsave  linux60.preset.pacsave
linux515.preset.pacsave  linux66.preset
J'ai bien peur que ce soit plus touffu que prévu, non?
Je m'abstiens des commandes suivantes...
Pour ce qui est du LTS de secours, je dois avoir ce qu'il faut dans mon panier!! :sourire:
Bon appétit?
Cordialement

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#11Messageil y a 3 mois

Relance mhwd-kernel -li.
Ensuite, tu vire tout ce qui n'est pas installé dans /etc/mkinitcpio.d/.
Puis, tu passes à la suite.

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#12Messageil y a 3 mois

J'ai relancé

    ~  mhwd-kernel -li                                      ✔ 
Currently running: 6.6.10-1-MANJARO (linux66)
The following kernels are installed in your system:
   * linux66 [code]
puis
[code]    ~  cd /etc/mkinitcpio.d                                 ✔ 
    /etc/mkinitcpio.d  ls                                   ✔ 
linux510.preset.pacsave  linux60.preset.pacsave
linux515.preset.pacsave  linux66.preset
]

Tu m'écris :
"Ensuite, tu vires tout ce qui n'est pas installé dans /etc/mkinitcpio.d/."
J'ai un (gros) souci: comment faire ce ménage? "À la main" ou "à la ligne"?

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#13Messageil y a 3 mois

sudo rm /etc/mkinitcpio.d/*.pacsave 
sudo mkinitcpio -P
sudo update-grub  ###alias de grub-mkconfig -o /boot/grub/grub.cfg###

ERROR: '/lib/modules/5.19.17-2-MANJARO' is not a valid kernel module directory

#14Messageil y a 3 mois

Bonsoir,

tout est fait - enfin, normalement! :sourire:
Je verrai cela au prochain démarrage!
Merci de la patience, et de toutes ces aides/indications.
Une bonne continuation.
Cordialement
(Je marque "Résolu"? Un pari sur l'avenir... :sourire: )
Répondre